Raspberry Pi (Raspbian)

Post Reply
DrMick
Posts: 8
Joined: Tue May 28, 2013 5:32 pm

Raspberry Pi (Raspbian)

Post by DrMick »

Hi everybody,

I just succeed in compiling OpenVibes on a raspberry pi (rasbian distribution).
As I only plan to use the Acquisition Server on the Rasp, I do not test the designer, but everything was compiled so ...

In fact, the solution is really simple : just modify the linux-install-dependencies script in the check distribution part :

Code: Select all

        if [[ "`grep -E 'Ubuntu|LinuxMint' /etc/lsb-release 2> /dev/null`" != "" ]]; then
must become

Code: Select all

        if [[ "`grep -E 'Ubuntu|LinuxMint|Raspbian' /etc/os-release 2> /dev/null`" != "" ]]; then
Note that on raspbian distribu, there is no lsb-release but an os-release file.

It seems that every needed package is available for the raspbian distribution, so nothing more to do, except compiling with linux-build script

The only strange behaviour is that the compilation process randomly fails, so you have to launch the build script many times to obtain the final product :shock:

DrMick

jtlindgren
Posts: 778
Joined: Tue Dec 04, 2012 3:53 pm
Location: INRIA Rennes, FRANCE

Re: Raspberry Pi (Raspbian)

Post by jtlindgren »

That's great news! Except the build crashes of course. We haven't tried raspbian here. Just a guess - could it be running out of memory?

I changed the dependency installer on git to check for Raspbian. Note that its still not an officially supported platform, but if it works, great. :)

Thank you for the tip!


Cheers,
Jussi

James__D_
Posts: 2
Joined: Wed Feb 08, 2012 4:14 pm

Re: Raspberry Pi (Raspbian)

Post by James__D_ »

Hi,

I have tried compiling openvibe on a raspberry pi (raspbian) without success.
This is with a new install of Rasbian. Errors are post below.
Has anyone who has managed to do this come across similar problems?
Any advice?
I would really appreciate any help.

Thanks,

James



Errors:

when i run ./linux-install_dependencies i get this error:

The Xf86VidMode library and headers were not found

and when i run ./linux-build i get:

/home/pi/Desktop/openvibe/common/src/main.cpp: In function ‘int main()’:
/home/pi/Desktop/openvibe/common/src/main.cpp:35:2: error: invalid application of ‘sizeof’ to incomplete type ‘boost::STATIC_ASSERTION_FAILURE<false>’
/home/pi/Desktop/openvibe/common/src/main.cpp:35:2: error: template argument 1 is invalid
/home/pi/Desktop/openvibe/common/src/main.cpp:35:55: error: invalid type in declaration before ‘;’ token
common/CMakeFiles/openvibe-common.dir/build.make:54: recipe for target 'common/CMakeFiles/openvibe-common.dir/src/main.cpp.o' failed
make[2]: *** [common/CMakeFiles/openvibe-common.dir/src/main.cpp.o] Error 1
CMakeFiles/Makefile2:75: recipe for target 'common/CMakeFiles/openvibe-common.dir/all' failed
make[1]: *** [common/CMakeFiles/openvibe-common.dir/all] Error 2
Makefile:113: recipe for target 'all' failed
make: *** [all] Error 2

jtlindgren
Posts: 778
Joined: Tue Dec 04, 2012 3:53 pm
Location: INRIA Rennes, FRANCE

Re: Raspberry Pi (Raspbian)

Post by jtlindgren »

Hi James,

please google for the package in your distro that gives you the Xf86VidMode lib and headers.

About the compilation error, if you look at the code in question it seems that there could be an
issue with float80. Possibly that is not available on your platform. This type is not widely used in
the openvibe code. You could try to remove the tests that cause the error and add a hack

#define float80 float64

instead.

Happy hacking,
Jussi

gderou
Posts: 10
Joined: Mon Sep 01, 2014 1:09 pm

Re: Raspberry Pi (Raspbian)

Post by gderou »

I confirm I was able to build the acquisition-server and kernel module by applying the attached patch
Attachments
raspberry.zip
Patch to be unzipped and applied in openvibe directory
(752 Bytes) Downloaded 415 times

Post Reply